[//TODO: the bit about "the platform is the algorithm" kind of shows up unexpectedly at the end. Go backward and point it out, more and more.]

# platform as place

[discord message - simulate, from Bat] Why do you hate people on tiktok so much? Is it just portrait-orientation?
*inhale*
[Internet Comment Etiquette, the episode with P.T. Barnum] "when your.. *snicker*" "...? ...oh i get it, he's mentally ret-" "WOAHH!"

I could pick out plenty of low-quality garbage on tiktok, say "this is what's on tiktok and that's why tiktok is bad", just as easily as I could cherrypick high quality stuff and say "this is what's on tiktok and that's why tiktok is great". 
I know saying anything negative about tiktok gets me branded as old, so let me pull out a reference that's even older than me. 
[the reference i'll be pulling out: https://en.wikipedia.org/wiki/Sturgeon%27s_law, which shows Venture Science september 1957]
Sturgeon's Law: 90% of *everything* is crap. 
[note] Well, I do, but not any more than the same for every other platform.
That's not the problem. I don't hate people or content on TikTok. I hate TikTok.
We should all make that sort of distinction - we should treat technology platforms as tools people use, rather than gatherings of people. 
When you let a platform become a place, and then *your* place, it feels like your home, and now it has a hook in you.

## how we do it now

I don't know if people still have a feeling of a Home Forum. 
[note] Somehow I doubt they've brought back the eponymous Links, rofl
I won't bore you with mine, but I'll say that even now "NWS" feels right and "NSFW" feels weird.
"So what?" you may say. "Cultures emerge, something something diversity etc". 
Microcosms of culture are all well and good. But that's not what's happening on modern social media. Every interaction with other people is mediated through an algorithm that sorts you into a group of like-minded people, and shields you from dissent. An account on a website is not membership in a community, it's placement within a market segment.

### slang is [vertically challenged] for [abbreviated] language

I'd argue the acronym "NWS" counts as slang. We might know some tiktok-slang - how about the euphemism "unalive"? It's a subcategory of slang called algospeak. Saying the word "murder" worries platform owners that you'll offend the delicate sensibilities of shareholders, so tiktok censors the concepts they don't want you to discuss.
[some kind of graphic, "things that I imagine are obvious" for the following 2 points]
At the risk of starting an internet argument, censorship is bad, and stopping you from saying something is censorship.  we are witnessing censorship, and pitiful attempts to circumvent it, right now. 
if you have something to say about some unfavorable topic - perhaps the tiananmen square massacre - yet you feel attached to tiktok like it was your home.. you dance around the topic to fly under the radar of the censors. In doing so, you're self-censoring.
imagine if tiktok had some way to ask you if you're interested in the current trending thing, like twitter's trending topics. Now imagine that there's an approaching protest for an extradition bill, but bytedance doesn't want you mentioning it. The meme would be to instead say something boring, like... tax return extension. Spreading awareness is not going to happen. But people perform the meme because what they care about is their fame on tiktok.
A place is made for you, and all it asks is that you let them have your speech.

### example as a service

in the tech sector, the way to make money is to blatantly do something evil and call it innovation. have you heard the most irritating phrasal template, "as a service"? minimal version for any grass-touching griddle critters:
[fast]
when you make some software thing for people there is inevitably a technology stack, like this one.
[image of infra stack]
you would buy these things, and then have them. 
[sarcastically]
what a concept.
[as I mention a thing the vendor controls, have some sort of hellish black spike, or maybe eldritch tentacle, wrapping around an item and dragging it back away]
What if you gave money to the vendor, repeatedly forever, and then they didn't give you the networking, storage, servers, or virtualization? let them handle all that for you. that's Infrastructure As A Service.
What if you were on a higher tier of this Infinite Payment model, and *also* the vendor didn't let you touch the operating system, any middleware, or the runtime? let them handle all that for you. that's a Platform As A Service. 
What if your subscription was a bit more expensive, and they owned your data and applications, too? let them handle all that for you. That's Software As A Service.
[exhale, back to normal speed]
generally the allure is that it's lower *startup* cost and outsourced complexity. Sure, you can't take your stuff elsewhere, but as long as they never alter the deal, the math works out.
The problem is, as ever, conflicting incentives - you want to build a thing that makes money elsewhere, but the platform wants to make money from you. So if you want to connect technology, build off each other, of course the platform wants to jump in the way and charge you for it. 
[text on screen]
That's what it does.

### are we happy yet

Notice, once a platform owner has its hooks in you, you own less and less. 
[footage: league of legends]
in the past, there have been game mods that spawned genres of videogames.
[footage: roblox. or the updated license agreement for warcraft, I think?]
you'd better believe that if you try that again, the game's publisher will be taking ownership of that idea from you, thank you very much.

### twitter

Twitter users have been complaining about how it's dead, for real this time, for the majority of its existence. A constant cycle of the platform finding new ways to suck, people threatening to leave, and then not leaving. 
[Rosencreutz video, roughly 1:03:48] now, realistically, twitter is no stranger to jokes and hyperbole about leaving the hellsite forever. 
If you're a twitter executive, the message is clear: people will accept whatever you do to them, as long as you're slow enough.
Youtube has the same pattern. Its history is a litany of shifting creators' adsense money over to copyright squatters, while encouraging worse and worse content. Twitch, the company built on South Korean Starcraft streamers which pulled out of Korea because it's too expensive, might as well send everyone a handwritten note to say "leave our platform!"
No one will. 
[note] and to be fair... there's plenty.
It's the classic problem. On Youtube, people view Rumble as a place filled with undesirable exiles.
Twitchists and X-People make up reasons for themselves to view the users of their platforms' rivals as their own enemies. 
When you think of yourself not as a creator of static video content, but rather as a youtuber, youtube rests on that loyalty. That's way easier than doing anything to implement moderation features like what twitch has. All they have to do is let you tell yourself there's barbarians at the gates.
If you have the inexplicable addiction to twitter that the world seems to have, you won't dream of being able to post 1024 characters at a time like we've been doing on mastodon this whole time. Or you might say something dumb like, 
[Rosencreutz video, what exactly does he say] longer twitter posts are just bad political takes
to make it easier for you to rationalize something else dumb, like:
[note] "ethically compromised" is not the phrase you're looking for, I think you want "unethical".
[Rosencreutz video, near that 1:03:48ish bit]  "good luck finding **a site** that isn't owned by an ethically compromised billionaire"
without realizing that a communication network doesn't *have* to be centralized under one man's stock portfolio,
[footage of musk's hitler salute]
so you don't have to move away from him if he starts leaning hard into fascism.

## what if we did it right

what if, rather than platform barons trying to take everything they can from you, they spent that effort trying to take from each other? (we could "federate" them together... but I'll spare you a second episode of fediverse evangelism.)

### e-mail

You know what was federated well before the fediverse was built? Email. Servers talk to each other, your email address is you@server. 
[old audio, from myth-of-multifactor] You could run your own email server. Yes, you. Get an old laptop, leave it plugged in, I bet it's got the specs for it. 
amazing. 
[old audio, from myth-of-multifactor] But lots of major email providers have formed a cabal to blacklist quote-unquote spammers. so you can set up a functional mail server, which is already overly complicated, but you'll also have to set up some *more* pieces to be allowed to play with the other kids.
There's a reason that happened. Socially well-adjusted normal people were forced to use email. To help them understand, they were told it's like writing a letter. So manager types of the world overall decided that the custom in email-land is to add pointless bullshit before and after *every single message*. 

#### simualted email

[much like how past-o-vision was an old tv, have an old computer on a desk. somewhere give it some kind of funny brand name like Relic386]
[on screen, show an email client. have an email arrive. from administration, to homeburger. see pretentious letterhead.jpg]
[pretentious tone, the kind of guy who thinks this elaborate letterhead looks professional]
Johnathan Doe, M.d., Esq.
Chief Assistant to the Executive Administrative Assistant of Regional Internal Officers

Hello, H. Burger. I hope this missive finds you well. 

[office space] if you could get that TPS report to me, that'd be greeeaaat.

[pen sound, draw the signature]
[re-use audio] Johnathan Doe, M.d., Esq. Chief Assistant to the Executive Administrative Assistant of Regional Internal Officers
TechSolutions technology solutions. bumfuck, iowa.
visit us at clownpenis.fart.
[on the letterhead, have that followed up with] (all the good urls were taken)
call us at 555-777-7777 extension 1497a1.
[fade out toward the end of this line]
connect with us on linkedin, twitter, facebook, pinterest, snapchat, onlyfans, tinder, grindr (during june), wechat, whatsapp, send us an email,

disclaimer: the content of this message is protected by magic legal incantation 21497 subsection 12408. by having an email address that receives this email, you agree to waive your right to a trial by your peers, now and in perpetuity.
[read like one of those faith-healers, e.g. Kenneth Copeland]
begone and a pox upon thy house, Hyperlitigator!

[click reply]
[a hand typing the letter k on a keyboard]
[send email]

[receive email. same letterhead as above, pan through it the same, but speed up both video and audio]
[back to "pretentious" tone from before]
Hello again, H. Burger. Thank you for sending me an electronic mail.
[for extra pretention, roll the r in "rectify" (but only that one), and pronounce "immediately" like "immejitly"]
it has come to my attention that you aren't using official company letterhead. This is unprofessional and reflects poorly on our corporate image. Please rectify this immediately.
[pan through the signoff, again faster]

[on screen: "a true story". then change to "a frequent story". then change to "a frequent story about email." then cross out "email" and fill in "communication with soulless business husks"]
[back to normal tone]
That's based on a true story. A common one, surely. Unfortunately, people think of that as a story typical of "email", and treat email accordingly. But the technology is irrelevant. that's a story typical of "communication with soulless business husks". 

[grave stone] Here Lies e-mail. Murdered by its users.
Nevertheless, rest in peace, e-mail. Greatness squandered. 
You and I could send 1-word emails. we could email memes. But its association with a workplace chains it to miserable connotations.

### bluetooth headsets

speaking of technologies associated with cufflink-wearing motherfuckers: bluetooth headsets. If you're constantly talking on a phone, it's more efficient. However, they were indelibly marked with the reputation of making you "look like a douche". And that's a very honest statement; it makes you look like you're one of those people spending 8 megs per message trying to get your email to cosplay as custom stationery. 
And to be fair, getting people to tolerate wearable technology is an uphill battle. How many generations was it before we decided to stop making fun of people for wearing glasses? Even then, not because they're miraculous vision-improving technology, only because someone who wears glasses doesn't do so by choice.

[grave stone] Here Lies bluetooth headsets. no words.
[yes, put the words "no words" on the gravestone]

### stack overflow

I've described myself as an Information-Era relic. The advent of the Internet promised sharing information. Arguably it did. But what nerds don't realize is that normal people don't spend their time giving or receiving information. Case in point, StackOverflow. 

Stack Overflow is (or perhaps, was) the last bastion of "practice" on the internet. Forever, idiots would say "just google it" to any question. Having never thought or had questions themselves, they assume google knows everything and will tell you. What they forget is that what google does is search - so most of the time *what* you're searching *for* **doesn't exist**. 99% of the time someone says "just google it", the results are old forum posts where someone says "just google it".
StackOverflow was building the reference. 
[add some venom to this line]
You know, the point of the internet? the information that we're all now connected to? The google *results*?

But *every. single. time.* someone brings up stack overflow, people come out of the woodwork to tell on themselves.
[alt] i asked those nerds to do my work for me, and they had the gall to tell me my question was already answered. Can you believe the sense of entitlement on those gatekeepers?

[grave stone: "rest in peace, github's rug. You deserved better."]
It has a reputation for gatekeeping, because it's meritocratic. People complain about needing points to act, but the fact that they don't understand why you need points on stackoverflow does not inspire confidence that they understand whatever they intend to contribute to it. People who refuse to assimilate but insist the world should bend to them cannot understand this.
It has a reputation for being toxic... with people who expect their authority to be axiomatic. 

[show a stack overflow question, preferably with 0 points and 0 answers. but the question is a picture. a wall, with the "kilroy was here" meme (it's from ww2). instead of the text "kilroy was here", "follow kilroy on tiktok"]
To these, it's not about writing the record. It's about building their self-image, relegating any external effects to at most an afterthought.

StackOverflow is building something. Something to be referenced. That concept is lost on people whose only metric is number of eyeballs watching ads - observe this dogshit take.
[https://blog.pragmaticengineer.com/stack-overflow-is-almost-dead/] Since then, things at Stack Overflow went from bad to worse. The volume of questions asked has nearly dried up, new data shows"
A smarter person would understand, less new questions means the project is *finishing* its goal. However...
[https://blog.pragmaticengineer.com/stack-overflow-is-almost-dead/] ChatGPT is faster and it’s trained on StackOverflow data, so the quality of answers is similar.
Again, the AI-faithful have no concept of concepts. StackOverflow is *correct*, because users *understand concepts*. But for this so-called engineer, that's inconceivable. It chatGPT writes more words on the subject, "looks good enough to me".
[https://blog.pragmaticengineer.com/stack-overflow-is-almost-dead/] Plus, ChatGPT is polite and answers all questions, in contrast to StackOverflow moderators.
notice 2 more points: one, he does not understand the concept of sharing information. He only measures the practice of asking and answering. stackoverflow questions get marked as duplicate, frequently. Because the question has already been asked, and answered. 2, he imagines moderators as a cabal of gatekeepers stifling him, when it's the community at large that rejects him.
[https://blog.pragmaticengineer.com/stack-overflow-is-almost-dead/] In January, I asked if LLMs are making Stack Overflow irrelevant. We now have an answer, and sadly, it’s a “yes.”
I don't know why he says "sadly". he doesn't want reference to learn from, he wants a sycophant to save him from learning. 
[https://blog.pragmaticengineer.com/stack-overflow-is-almost-dead/] "I'll certainly miss having a space on the internet to ask questions"... "I'm sure we'll see spaces where developers hang out"
The way he thinks of stack overflow is like if he went to wikipedia, but only talk pages, where he asked about the information in the regular article.

## the point

[idea channel, https://www.youtube.com/watch?v=SDPasRas5u0] "here's an idea..." "educational theorist Etienne Wenger wrote about communities of practice which describe roughly-- very roughly-- people who do things together." ... "In this sense, practice is always social practice. Communities forming around said practice share all kinds of stuff."
Wenger (via Rugnetta) presents a fascinating (albeit generous) idea. The way people work is to have a practice, then form a social tribe related to that practice.

But what happens when there is no practice?

StackOverflow is about the development of software. But for imbeciles, development isn't real; so it's a space where developers hang out.
Bluetooth headsets aren't viewed as a better solution to voice communication, they're a fashion accessory that signifies lifestyle.
e-mail isn't thought of as "a way to send text between machines", it's treated as "an official communication channel where your boss *talks at* you".
the fediverse allows you to free yourself and your social circle from the platform they happen to use - so it's incomprehensible to people who seek to build fame on a platform.

[reuse graphic from "as a service" section]
Now, those who own the technology you use find themselves with leverage over you, for free.

TikTok has the reputation of being "the place where memes happen". That was derived from its previous reputation as being "a place where everyone can go viral." But.
the comparative ease of going viral was because of manual intervention by bytedance. They *crafted* exactly the community they wanted. 
[https://www.forbes.com/sites/emilybaker-white/2023/01/20/tiktoks-secret-heating-button-can-make-anyone-go-viral/]
And it was easy - they manually add "heat" to videos. 
So of course people took to tiktok. rather than youtube promoting some decrepit talk-show skeletons disguising their financial investment in the abysmal status quo as frosty-cold political takes, TikTok entices you by putting good-looking women up front... all you have to do is mute whatever terrible music they're dancing to. 
[note] also it's portrait mode only. <br />fun story, having that complaint caused my sister to disown me a 2nd time.
Its technology is actively trash. it's built on unapologetically, actively manipulating what you know about. And its owned by a company with a history of doing so.

whenever someone self-censors with algospeak, they have given away their voice to their corporate overlord. If you indulge that sort of person, you give your attention to their corporate overlord, who in turn decides what they will allow you to see.
[note] even when it's not the government doing it
I know, arguing "Censorship is Bad, Actually" is an uphill battle, for some reason. so let me leave you with some quick examples.

### hypothetical - atomic wallet 

I know lots of people just add "reddit" to every google search they run to hopefully get actual people talking to each other - but I think people forget, 
[//TODO: i swear there's like, n-word audit or something?]
reddit has a proud history of fun and/or useful bots. 
[that photo of atomic wallet]
The value of getting conversation from reddit is that when someone says something stupid, someone else can tell them they're stupid. 
Is atomic wallet open source? some braindead marketron says:
[alt] yes :) it *uses* open source *components*!
and then a person can have a comment right under them saying "that's not what words mean." Because while reddit loves brands shifting from "follow us on facebook" to "join our subreddit", redditors might have some unprofitable things to say.

### youtube context cards

Contrast this with Youtube trying to algorithmically "add context". I *can* think of a case where this is tantalizingly close to being useful: 
[assemble pie chart. title; Kyle Hill's Haircare tips. 25%: go to a salon, 25% argon oil, 75% toxic masculinity bad]
people are constantly asking kyle hill about his hair, and he generally has 2 useful points - 1 is "go to the place where hair experts are" and a second one is "use argan oil". 
what's argan oil?
[https://www.youtube.com/watch?v=wiENqMom1TM]
here's someone who calls herself *Dr* Dray. no relation to the warrior poet, I assume. Youtube adds context - Yes, Dr Dray is a doctor, licensed in the US... but that's it. 
How much nutritional quakery is perpetrated by doctor phil, who *is* a doctor... of psychology. Not to mention chiropractors! if that little information bar showed me *what* Dr Dray is a doctor *of*, that would be very useful. 
[https://profile.tmb.state.tx.us/PublicProfile.aspx?d0df5d66-7a21-432c-a268-7db7171aa690]
Check it out, a nice link to *the texas medical board* affirming her credentials.
[show this process]
went to her website, she practices in texas, googled the texas medical board, punched in her name, easy. 
[note] I know it's public information that she *wants* to share, therefore there's financial incentive to make that harder, but still, I managed.
For a platform like youtube, that rigor is hard. And why bother? viewers aren't supposed to click the link, you're just supposed to see that youtube put it there, so you can feel reassured that you can trust that youtube is both telling people the truth, and tolerating unfavorable speech.

Their system isn't great at this. here's Erik doing a whole video mocking Haarp conspiracies. the "context" google adds is for climate change. close, but they *have* a card for haarp. leading to an amusing screenshot of a haarp video mocking another haarp video *that has the haarp card*.. given a different card.
Keep the cards in mind. YouTube *also* prevents videos from being posted. There's a great metal remix of kenneth copeland blowing a divine wind - i reposted that, and my account will carry a mark with it forever for "medical misinformation". despite no information, wrong or otherwise, medical or otherwise, being in the video.

[//todo: example]
And *that* is why youtubers "voldemorted" the pandemic - it would be suppressed. Meanwhile, 
[on screen list: demonstrate condemnation, get credit for openness, project weakness, censor]
The context cards are a way for youtube to demonstrate condemnation of a message, give themselves credit for not censoring, and let viewers believe it's easy to circumvent any censorship efforts, while censoring. 
Youtubers, of course, obey the rules - success is not communicating a communication to their community. what matters is their profitability on the platform. They pass the buck to the algorithm - "we'd love to mention forbidden topics, but The Algorithm won't let us." The platform owners are people who would easily understand the situation, but they don't plan on that level of intervention, they build the platform to run itself - "we'd love to hand-pick what gets suppressed and what gets proliferated, but there's too much - The Algorithm handles it."

### only influencers get customer service

To post any review on amazon, it has to be approved... by amazon. whenever you post a review on the google play store, it reserves the last word for the app's owner (which is usually a form letter and a link to their FAQ). 
[https://xkcd.com/937, but for the guy who says "didn't warn me about a tornado" have a reply from the developer that says "we're sorry you don't know how to use apps. Try this: https://googlethatforyou.com?q=how%20to%20disable%20my%20ad%20blocker. we don't need to show googlethatforyou.com, but we should cite it]
Remember when Bethesda advertised a canvas bag and delivered a nylon bag? 1st move, they sent an email that effectively said "caveat emptor, bitch.". 2nd move, they blamed material supply.
[internet historian, The Fall of 76, roughly 16 minutes ish] it turns out, they did make the canvas bag. they gave them all out... to influencers. [...] it's not the same one. But it's made of that ever-scarce material: canvas.

how many times have we seen a company get called out by an influencer for some reason or another, then they immediately move to fix it... as a 1-off, for that influencer. Mere mortals like you and I?
[https://arstechnica.com/health/2023/11/ai-with-90-error-rate-forces-elderly-out-of-rehab-nursing-homes-suit-claims/, maybe more about nH Predict]
we get an algorithm. built into the platform, serving only economic incentives. The Algorithm will decide.

[quote from grapes of wrath. chapter 5? about the bank. "it's not me, it's the monster". somewhere around 1:22:50] some of them were cold because they found long ago they could not be an owner unless one were cold. and all of them were caught in something larger than themselves. Some of them hated the mathematics that drove them, and some were afraid. But some worshipped the mathematics because it provided a refuge from thought, from feeling. these men would take no responsibility for the company because they were men and slaves. While the banks were machines and masters. Some of the ownermen were a little proud to be slaves, to such cold and powerful masters. "when the monster stops growing, it dies. It can't stay one size. "we have to do it. we don't like to do it, but the monster's sick.. something's happened to the monster." "the bank owned the land then. But we stayed. And we got a little bit of what we raised." "we know that. All that. But it's not us, it's the bank. But the bank isn't like a man. [...] That's the monster." [...] "we're sorry. It's not us. It's the monster. The bank isn't like a man." "yes. the bank is only *made of* men." "No, you’re wrong there—quite wrong there. The bank is something else than men. It happens that every man in a bank hates what the bank does, and yet the bank does it. The bank is something more than men, I tell you. It’s the monster. Men made it, but they can’t control it.”  "the monster owns it." [...] "the monster isn't men. but it can make men do what it wants."

In 1939, the Grapes of Wrath talked about the bank. our monster is The Algorithm. Like a capricious dark god, its wrath is unpredictable and its favor is unreliable. Its only directive: 
sacrifice for the shareholders.

